tigase.server

## Enum CmdAcl

- java.lang.Object
- - java.lang.Enum<CmdAcl>
  - - tigase.server.CmdAcl

- All Implemented Interfaces:
    Serializable, Comparable<CmdAcl>

      public enum CmdAcl
      extends Enum<CmdAcl>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN` Only local server administrators can execute command.
    `ALL` Everybody can execute the command, even users from a different servers.
    `DOMAIN` Only users who have an account within the given domain can execute the command.
    `JID` Comma separated list of JIDs of users who can execute the command.
    `LOCAL` Only users who have accounts on this local server can execute the command.
    `OTHER` This is the default.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getAclVal()`
    `protected void` | `setAclVal(String aclVal)`
    `static CmdAcl` | `valueof(String acl)` Method description
    `static CmdAcl` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CmdAcl[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final CmdAcl ALL

      Everybody can execute the command, even users from a different servers.

    - #### ADMIN

          public static final CmdAcl ADMIN

      Only local server administrators can execute command.

    - #### LOCAL

          public static final CmdAcl LOCAL

      Only users who have accounts on this local server can execute the command.

    - #### DOMAIN

          public static final CmdAcl DOMAIN

      Only users who have an account within the given domain can execute the command.

    - #### JID

          public static final CmdAcl JID

      Comma separated list of JIDs of users who can execute the command.

    - #### OTHER

          public static final CmdAcl OTHER

      This is the default. If no access control is provided than by default a list of JIDs is assumed.

  - ### Method Detail

    - #### values

          public static CmdAcl[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CmdAcl c : CmdAcl.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CmdAcl valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueof

          public static CmdAcl valueof(String acl)

      Method description
      Parameters:
        `acl` -

    - #### getAclVal

          protected String getAclVal()

    - #### setAclVal

          protected void setAclVal(String aclVal)

Copyright © 2018 "Tigase, Inc.". All rights reserved.